Type d'objet ss VBA AutoCAD ... [Résolu]

cs_Talere 102 Messages postés vendredi 29 mars 2002Date d'inscription 14 février 2013 Dernière intervention - 11 févr. 2004 à 16:18 - Dernière réponse : mastercatz 193 Messages postés jeudi 4 décembre 2003Date d'inscription 12 août 2010 Dernière intervention
- 11 févr. 2004 à 17:12
Bonjour,

Je cherche à récuprer le type d'une variable issue d'AutoCAD. Effectivement, sa classe est AcadEntity mais je voudrais savoir quel type est-ce (AcadLWpolylign,AcadLine ...)

Quelqu'un peut-il m'aider ?

Merci,

TALERE
Afficher la suite 

3 réponses

cs_Talere 102 Messages postés vendredi 29 mars 2002Date d'inscription 14 février 2013 Dernière intervention - 11 févr. 2004 à 17:00
+3
Utile
J'ai finalement trouvé la réponse ... il s'agit de la fonction TypeName(Object) qui renvoie le type de l'object en cours.

Merci pour ton aide ...

TALERE :)
Cette réponse vous a-t-elle aidé ?  
mastercatz 193 Messages postés jeudi 4 décembre 2003Date d'inscription 12 août 2010 Dernière intervention - 11 févr. 2004 à 16:46
0
Utile
J'ai trouvé ce petit bout de code en farfouillant, peut etre que ca poura t'aider. A voir .........

Sub Example_Type()
' This example creates a leader in model space.
' It then changes the type of the leader.

Dim leaderObj As AcadLeader
Dim points(0 To 8) As Double
Dim leaderType As Integer
Dim annotationObject As AcadEntity
points(0) 0: points(1) 2: points(2) = 0 points(3) 4: points(4) 4: points(5) = 0 points(6) 4: points(7) 2: points(8) = 0
leaderType = acLineNoArrow
Set annotationObject = Nothing

' Create the leader object in model space
Set leaderObj = ThisDrawing.ModelSpace.AddLeader(points, annotationObject, leaderType)
ZoomAll

' Find the current leader type
leaderType = leaderObj.Type
MsgBox "The leader type is " & Choose(leaderObj.Type + 1, "acLineNoArrow.", "acSplineNoArrow.", "acLineWithArrow.", "acSplineWithArrow."), , "Type Example"

' Change the leader type
leaderObj.Type = acLineWithArrow
leaderObj.Update
MsgBox "The leader type is " & Choose(leaderObj.Type + 1, "acLineNoArrow.", "acSplineNoArrow.", "acLineWithArrow.", "acSplineWithArrow."), , "Type Example"

' Change the leader type
leaderObj.Type = acSplineNoArrow
leaderObj.Update
MsgBox "The leader type is " & Choose(leaderObj.Type + 1, "acLineNoArrow.", "acSplineNoArrow.", "acLineWithArrow.", "acSplineWithArrow."), , "Type Example"

' Change the leader type
leaderObj.Type = acSplineWithArrow
leaderObj.Update
MsgBox "The leader type is " & Choose(leaderObj.Type + 1, "acLineNoArrow.", "acSplineNoArrow.", "acLineWithArrow.", "acSplineWithArrow."), , "Type Example"

End Sub
mastercatz 193 Messages postés jeudi 4 décembre 2003Date d'inscription 12 août 2010 Dernière intervention - 11 févr. 2004 à 17:12
0
Utile
OK, je note ca poura me servir des fois :p

Vous n'êtes pas encore membre ?

inscrivez-vous, c'est gratuit et ça prend moins d'une minute !

Les membres obtiennent plus de réponses que les utilisateurs anonymes.

Le fait d'être membre vous permet d'avoir un suivi détaillé de vos demandes et codes sources.

Le fait d'être membre vous permet d'avoir des options supplémentaires.